%define dist libwww-perl
Name: perl-%dist
Version: 5.75
Release: alt1

Summary: WWW client/server library for Perl (aka LWP)
License: GPL or Artistic
Group: Development/Perl

Url: %CPAN %dist
Source: %dist-%version.tar.bz2

Patch: %name-5.75-alt-makefile.patch

BuildArch: noarch

# Automatically added by buildreq on Thu Nov 13 2003
BuildRequires: perl-Compress-Zlib perl-DBM perl-HTML-Parser perl-HTML-Tagset perl-URI perl-devel perl-libnet

%add_findreq_skiplist */Ntlm.pm */Microsoft.pm */GHTTP.pm

%description
The libwww-perl collection is a set of Perl modules which provides a
simple and consistent application programming interface to the
World-Wide Web.  The main focus of the library is to provide classes
and functions that allow you to write WWW clients.  The library also
contain modules that are of more general use and even classes that
help you implement simple HTTP servers.

%prep
%setup -q -n %dist-%version
%patch -p1

%build
%perl_vendor_build

%install
%perl_vendor_install
%perl_fix_local %buildroot%perl_vendor_privlib/LWP/Debug.pm

%files
%doc Changes MANIFEST README README.SSL
%_bindir/*
%perl_vendor_privlib/LWP*
%perl_vendor_privlib/Net
%perl_vendor_privlib/WWW
%perl_vendor_privlib/HTML
%perl_vendor_privlib/HTTP
%perl_vendor_privlib/File
%perl_vendor_privlib/Bundle
%perl_vendor_privlib/*.pod
%perl_vendor_man1dir/*
%perl_vendor_man3dir/*

%changelog
* Thu Nov 13 2003 Alexey Tourbin <at@altlinux.ru> 5.75-alt1
- 5.75
- mdk-empty_header.patch merged upstream, alt-syntax.patch needed no more
- alt-makefile.patch updated (not to read media.types of already installed
  package when running tests)

* Fri Oct 17 2003 Alexey Tourbin <at@altlinux.ru> 5.72-alt1
- 5.72
- syntax.patch: fix syntax error
- makefile.patch:
  + don't run "live" tests
  + don't look for the existing installation

* Sat Apr 26 2003 Alexey Tourbin <at@altlinux.ru> 5.69-alt2
- skip dependencies in:
  + LWP/Authen/Ntlm.pm (requires Authen/Ntlm.pm)
  + HTTP/Cookies/Microsoft.pm (requires Win32.pm)
  + LWP/Protocol/GHTTP.pm
- specfile cleanup

* Tue Mar 18 2003 Stanislav Ievlev <inger@altlinux.ru> 5.69-alt1
- 5.69

* Tue Oct 29 2002 Alexey Tourbin <at@altlinux.ru> 5.65-alt2
- rebuilt for perl-5.8 with new rpm macros

* Thu Jun 13 2002 Stanislav Ievlev <inger@altlinux.ru> 5.65-alt1
- 5.65

* Wed Apr 03 2002 Stanislav Ievlev <inger@altlinux.ru> 5.64-alt1
- 5.64

* Thu Dec 20 2001 Stanislav Ievlev <inger@altlinux.ru> 5.63-alt1
- 5.63

* Mon Oct 15 2001 Stanislav Ievlev <inger@altlinux.ru> 5.53-alt1
- 5.53

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 5.50-ipl2mdk
- Rebuilt with perl-5.6.1
- Some spec cleanup

* Mon Jan 29 2001 Mikhail Zabaluev <zabaluev@parascript.com> 5.50-ipl1mdk
- Updated:
  + version 5.50
- Changed:
  + spec file adapted for Sisyphus
- Fixed:
  + perl path in LWP/Debug.pm

* Wed Jun 28 2000 Mikhail Zabaluev <mookid@sigent.ru> 5.48-1mdk_mhz
- changed file list and installation
- added description from README
- force build architecture to noarch

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 5.47-3mdk
- fixed release tag

* Fri Mar 31 2000 Pixel <pixel@mandrakesoft.com> 5.47-2mdk
- remove file list
- rebuild for 5.6.0

* Mon Jan  3 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Thu Dec 30 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- updated to 5.47

* Sun Aug 29 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- bzip2'd sources
- updated to 5.44

* Tue May 11 1999 root <root@alien.devel.redhat.com>
- Spec file was autogenerated.
